package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_org_external_setting")
@ApiModel(description="组织外部系统参数配置（钉钉、企微）")
public class OrgExternalSetting extends BaseModel<OrgExternalSetting> {

    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * ORG_ID_
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="组织机构id")
    protected String orgId;

    /**
     * 钉钉企业id
     */
    @TableField("DING_CORP_ID_")
    @ApiModelProperty(name="dingCorpId",notes="钉钉企业id")
    protected String dingCorpId;

    /**
     * 钉钉sso密钥
     */
    @TableField("DING_SSO_SECRET_")
    @ApiModelProperty(name="dingSsoSecret",notes="钉钉sso密钥")
    protected String dingSsoSecret;

    /**
     * 钉钉应用id
     */
    @TableField("DING_AGENT_ID_")
    @ApiModelProperty(name="dingAgentId",notes="钉钉应用id")
    protected String dingAgentId;

    /**
     * 钉钉key
     */
    @TableField("DING_APP_KEY_")
    @ApiModelProperty(name="dingAppKey",notes="钉钉key")
    protected String dingAppKey;

    /**
     * 钉钉应用密钥
     */
    @TableField("DING_APP_SECRET_")
    @ApiModelProperty(name="dingAppSecret",notes="钉钉应用密钥")
    protected String dingAppSecret;

    /**
     * 钉钉应用clientId
     */
    @TableField("DING_APP_CLIENT_ID_")
    @ApiModelProperty(name="dingAppClientId",notes="钉钉应用clientId")
    protected String dingAppClientId;

    /**
     * 钉钉门户地址
     */
    @TableField("DING_PORTAL_URL_")
    @ApiModelProperty(name="dingPortalUrl",notes="钉钉门户地址")
    protected String dingPortalUrl;

    /**
     * 钉钉应用名称，只做记录，方便钉钉官网查找配置
     */
    @TableField("DING_APP_NAME_")
    @ApiModelProperty(name="dingAppName",notes="钉钉应用名称，只做记录，方便钉钉官网查找配置")
    protected String dingAppName;

    /**
     * 加密 aes_key
     */
    @TableField("DING_PUSH_ASE_KEY_")
    @ApiModelProperty(name="pushAseKey",notes="加密 aes_key")
    protected String pushAseKey;

    /**
     * 签名 token
     */
    @TableField("DING_PUSH_SIGN_TOKEN_")
    @ApiModelProperty(name="pushSignToken",notes="签名 token")
    protected String pushSignToken;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDate createTime;
    /**
     * 创建时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="updateTime",notes="更新时间")
    protected LocalDate updateTime;

    public String getPushAseKey() {
        return pushAseKey;
    }

    public void setPushAseKey(String pushAseKey) {
        this.pushAseKey = pushAseKey;
    }

    public String getPushSignToken() {
        return pushSignToken;
    }

    public void setPushSignToken(String pushSignToken) {
        this.pushSignToken = pushSignToken;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getDingCorpId() {
        return dingCorpId;
    }

    public void setDingCorpId(String dingCorpId) {
        this.dingCorpId = dingCorpId;
    }

    public String getDingSsoSecret() {
        return dingSsoSecret;
    }

    public void setDingSsoSecret(String dingSsoSecret) {
        this.dingSsoSecret = dingSsoSecret;
    }

    public String getDingAgentId() {
        return dingAgentId;
    }

    public void setDingAgentId(String dingAgentId) {
        this.dingAgentId = dingAgentId;
    }

    public String getDingAppKey() {
        return dingAppKey;
    }

    public void setDingAppKey(String dingAppKey) {
        this.dingAppKey = dingAppKey;
    }

    public String getDingAppSecret() {
        return dingAppSecret;
    }

    public void setDingAppSecret(String dingAppSecret) {
        this.dingAppSecret = dingAppSecret;
    }

    public String getDingAppClientId() {
        return dingAppClientId;
    }

    public void setDingAppClientId(String dingAppClientId) {
        this.dingAppClientId = dingAppClientId;
    }

    public String getDingPortalUrl() {
        return dingPortalUrl;
    }

    public void setDingPortalUrl(String dingPortalUrl) {
        this.dingPortalUrl = dingPortalUrl;
    }

    public String getDingAppName() {
        return dingAppName;
    }

    public void setDingAppName(String dingAppName) {
        this.dingAppName = dingAppName;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDate getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDate createTime) {
        this.createTime = createTime;
    }

    public LocalDate getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDate updateTime) {
        this.updateTime = updateTime;
    }
}
